Log in or register to post comments

ARCamera scripts not loading

August 18, 2016 - 12:11pm #1

I am new to unity and vuforia. I'm trying to put together a PoC for an augmented reality app. When I import the vuforia asset package into the app and drop the ARCamera onto the stage I am greeted with 107 compiler errors along with messages saying the script cannot be loaded. I've added a screenshot in hopes someone has an easy fix for this. I'm running on OSX 10.11.6 and I do not have any of the paid licenses, so maybe this is limiting the usability on the software, not sure. Hopefully someone can assist. Thanks in advance!

 

 

AttachmentSize
Image icon screenshot1.png996.13 KB

ARCamera scripts not loading

February 18, 2019 - 9:25pm #12

hey Pkabber, I have the same problem. when I want to follow your solution, I found I even dont have Vuforia in the Game object. GameObject >> Vuforia >> ARCamera, I can not find it.

 

ARCamera scripts not loading

February 6, 2018 - 8:03am #11

Hey, I'm new to this like you. I had this problem too.

I don't know if this will help but here is what I found: Instead of loading Vuforia-unity package separately, go to GameObject >> Vuforia >> ARCamera. It then prompts you if you want to import some packages, and then say yes. 

Also go to Edit >> Project Settings >> Player. Scroll to XR Settings and select Vuforia Augmented Reality Support. Do it again (Go to player settings at the bottom of the pop up, then to XR settings and then select the same checkbox), if you try to deploy it to an Android device. 

ARCamera scripts not loading

December 8, 2017 - 1:18am #10

[SOLVED]

In my case:

I started the new project in Unity and load de Vuforia Package (Unity Extension). And display the errors "The associated script can not be loaded".

My solution: Create a new project and NOT LOAD de Unity Extension downloaded from Vuforia website. The latest versions of Unity have that integrated (2017). If you load the Unity Package you may have redundances (that was my case), and does not work.

 

ARCamera scripts not loading

December 1, 2017 - 8:46am #9

Jayadeep wrote:

I'm facing the same problem, I have searched on Youtube and help forums but no use.

Are you using Unity 2017.2 with Vuforia 6.5? If so, can you make sure you included Vuforia Support on your initial download and have checked the Vuforia AR Support in Player Settings -> XR Settings.

Thanks,

-Vuforia Support

ARCamera scripts not loading

November 30, 2017 - 11:08pm #8

streicham16 wrote:

I am new to unity and vuforia. I'm trying to put together a PoC for an augmented reality app. When I import the vuforia asset package into the app and drop the ARCamera onto the stage I am greeted with 107 compiler errors along with messages saying the script cannot be loaded. I've added a screenshot in hopes someone has an easy fix for this. I'm running on OSX 10.11.6 and I do not have any of the paid licenses, so maybe this is limiting the usability on the software, not sure. Hopefully someone can assist. Thanks in advance!

 

 

 

I'm facing the same problem, I have searched on Youtube and help forums but no use.

ARCamera scripts not loading

August 19, 2016 - 11:54am #7

Terrific!

ARCamera scripts not loading

August 19, 2016 - 10:16am #6

Well, that worked.... I installed unity with all of the options this time around. Seems to have worked.

Thanks for the recommendation!

ARCamera scripts not loading

August 19, 2016 - 10:10am #5

Dang, well I'll try uninstalling and installing a new version of UNITY and seeing what happens. Thanks for the attempt :D.

ARCamera scripts not loading

August 19, 2016 - 9:16am #4

Hello,

This is a real head scratcher. I just keep coming back to it being something related with your dev environment - maybe try to install it on another machine? I am constantly installing new versions of Unity and importing Vuforia's Unity Extension and I have never seen anything like this before.

If the message you're referring to is the one about Vuforia.MarkerBehavior being obsolete, this is informational and not an error. Our FrameMarkers feature has been marked deprecated in Vuforia 6 with the introduction of VuMarks.

Sorry I cannot be of more help here.

Thanks.

ARCamera scripts not loading

August 18, 2016 - 2:01pm #3

Hey Medabit,

Thanks for reaching out! I am using the latest version of Vuforia located here

https://developer.vuforia.com/downloads/sdk

Along with the latest Unity version

5.4.0f3 Personal. 

Everything is "out of the box" as is. Would it be possible that I need some of the additional VR SDK's or graphics api supports outlined in the "Vuforia-Supported-Versions" link you posted?

Also, looking back on other threads they mention making sure the naming is the same after import of the scripts. They are matching, and once I change the name they're no longer shown. This tells me the link is there for the files.

In the screen shot I posted, there's a message at the bottom, does this have anything to do with it? 

Thanks in advance!

ARCamera scripts not loading

August 18, 2016 - 1:22pm #2

Hello,

Those are catastrophic errors - I have never seen that level before. Are you working with Vuforia 6 and supported versions of the Unity Editor?

https://library.vuforia.com/articles/Solution/Vuforia-Supported-Versions

Are you sure that your install of the Unity Extension and samples was successful? Perhaps something got corrupted or truncated? File permission issues?

Thanks

Log in or register to post comments